Subject: bug#43499: 27.1; It is possible for (forward-comment -1) to crash emacs

From: Stefan Kangas <[email-masked]>
Date: Thu, 12 Nov 2020 22:40:17 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: Jeff Norden <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 19 Sep 2020 11:24:23 -0500
>>
>> > Thanks.  I propose a slightly different change below.  I think it's
>> > somewhat better, because it does the comparison only once, and the
>> > while loop can then run at full speed without testing on each
>> > iteration.  (It looks like a large change, but almost all of it is
>> > just whitespace changes due to re-indentation of the loop.)  Do you
>> > agree?
>>
>> I think either change will work fine.  It doesn't seem to me that either
>> one would be faster, unless I'm missing something.  My suggestion was to
>> move the test from the body of the loop (where from == stop is checked
>> each iteration) to the clause of the while statement (as from > stop
>> instead).  But, maybe a test before the loop starts makes the code more
>> clear - that is entirely your call.
>
> Thanks, I installed my changes.

Did that fix the issue?  Does that mean that this bug can be closed?